MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022961Community[OCCT] OCCT:Data Exchangepublic2012-01-31 15:112012-04-16 12:24
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022961: Dangerous usage of 'buf' (strncpy doesn't always 0-terminate it) (cppcheck report)
Descriptionin VrmlData_Scene.cxx (line 1015) / VrmlData_Group.cxx (line 276)
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0019845)
dbv (developer)
2012-03-02 10:53

Added 0-termination for "buf" variable.

Branch http://svn/svn/occt/branches/OCC22961 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019851)
dbv (developer)
2012-03-02 15:02

TCollection_AsciiString used instead of char arrays

Branch http://svn/svn/occt/branches/OCC22961 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019872)
abv (manager)
2012-03-06 10:54

Review remark: in VrmlData_Group.cxx, if '.' is found in the string, the string should be truncated after it is replaced by '_' (at least it seems how it were before the fix). Please check and correct
(0019875)
dbv (developer)
2012-03-06 11:20

Remark fixed.

Branch http://svn/svn/occt/branches/OCC22961 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019879)
abv (manager)
2012-03-06 12:11

No remarks; please test
(0019934)
mkv (tester)
2012-03-12 13:01

Dear BugMaster,
SVN branch http://svn/svn/occt/branches/OCC22961 [^] has been moved to GIT CR22961 one.
Workbench KAS:dev:mkv-22961-occt was created from git branch CR22961
(and mkv-22961-products from svn trunk) and compiled on Linux platform.

There are not regressions in mkv-22961-products regarding to KAS:dev:products-20120306-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22961-products_11032012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120306-opt_07032012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020006)
bugmaster (administrator)
2012-03-15 19:15

Integrated into master
(0020374)
Pawel (developer)
2012-04-12 17:24

Verified. Please close.

- Related Changesets
occt: master b6710675
Timestamp: 2012-03-07 11:34:08
Author: dbv
Committer: bugmaster
Details ] Diff ]
0022961: Dangerous usage of 'buf' (strncpy doesn't always 0-terminate it) (cppcheck report)
mod - src/VrmlData/VrmlData_Group.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-31 15:11 Pawel New Issue
2012-01-31 15:11 Pawel Assigned To => gka
2012-02-14 13:04 abv Assigned To gka => dbv
2012-02-14 13:04 abv Status new => assigned
2012-03-02 10:53 dbv Note Added: 0019845
2012-03-02 10:53 dbv Assigned To dbv => abv
2012-03-02 10:53 dbv Status assigned => resolved
2012-03-02 15:02 dbv Note Added: 0019851
2012-03-06 10:54 abv Note Added: 0019872
2012-03-06 10:54 abv Assigned To abv => dbv
2012-03-06 10:54 abv Status resolved => assigned
2012-03-06 11:20 dbv Note Added: 0019875
2012-03-06 11:20 dbv Assigned To dbv => abv
2012-03-06 11:20 dbv Status assigned => resolved
2012-03-06 12:11 abv Note Added: 0019879
2012-03-06 12:11 abv Assigned To abv => dbv
2012-03-06 12:11 abv Status resolved => reviewed
2012-03-06 12:14 mkv Assigned To dbv => mkv
2012-03-12 13:01 mkv Note Added: 0019934
2012-03-12 13:02 mkv Test case number => Test case is not required
2012-03-12 13:02 mkv Assigned To mkv => bugmaster
2012-03-12 13:02 mkv Status reviewed => tested
2012-03-15 18:57 bugmaster Target Version => 6.5.3
2012-03-15 19:15 bugmaster Note Added: 0020006
2012-03-15 19:15 bugmaster Status tested => verified
2012-03-15 19:15 bugmaster Resolution open => fixed
2012-03-15 19:15 bugmaster Assigned To bugmaster => dbv
2012-03-29 17:26 bugmaster Changeset attached => occt master b6710675
2012-04-03 13:33 abv Assigned To dbv => Pawel
2012-04-12 17:24 Pawel Note Added: 0020374
2012-04-16 12:24 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker